I currently have Ruby 1.8.5 and Rails 1.2.3. I want to upgrade Ruby to
1.8.6 and Rails to 2.1. I have a Windows XP development machine and FC6
production box. I can't find a clean up to upgrade Ruby without blowing
away the installed gems. Someone suggested this workaround:
There's no ruby update AFAIK. You can work around this by renaming
c:\ruby to something else, installing ruby, then overwrite
C:\ruby\lib\ruby\gems with the old version and call 'gem update' to
fetch the new versions.

I am in the middle of trying that now but I stopped with the following
concerns:
1) current gems include Rails like actionmailer, actionpack,
actionrecord, etc. plus a number of other gems I installed. If I run gem
update, won't this update Rails to 2.1 automatically?
2) I also have mongrel gems installed and remembered something having to
install Windows specific packages (can't recall off the top of my now
the details), so I am worried that this wouldn't be handled properly.
3) I also installed htree but I can't tell if it is a gem, so I can't be
sure that it will be handled properly.

I am sure I am not the only guy that is trying to upgrade Ruby, can
anyone help me? Thanks in advance.
-- 
Posted via http://www.ruby-forum.com/.